Subject: Re: cygrunsrv and postgresql
From: Kurt Roeckx <[email-masked]>
To: Teemu Kanstrén <[email-masked]>
Cc: [email-masked]
Date: Wed, 31 Oct 2001 13:07:45 +0100

On Wed, Oct 31, 2001 at 01:31:33PM +0200, Teemu Kanstrén wrote:
> Hello,
> 
>  I have PostgreSQL installed under Cygwin and it was running fine as a
> service on my NT. Then suddenly my NT hangs for no reason I can see and
> I tried to shutdown from the task manager but even that didnt work. So
> I just rebooted the computer with power off/power on. After that the
> postmaster service no longer starts.

You probably have a stale pid file.  It's something very
annoying when you don't do a proper shutdown, and don't have
proper startup scripts.  I'm still looking for a good solution to
this.

> $ cygrunsrv --install postmaster --path /usr/bin/postmaster -a "-i"
> --termsig INT --dep ipc-daemon --shutdown --user postgres

It might also help if you tell it to use a log file, redirect
stdout (and stderr?) to some file, and it should also give a clue why
postmaster refuses to start.

Kurt

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/